<?php


namespace Filoblu\Refilo\Model\Indexer\Struct\Price;


class Prices
{
    /** @var float */
    protected $base_price;
    /** @var float */
    protected $final_price;
    /** @var float */
    protected $max_price;
    /** @var float */
    protected $min_price;
    /** @var int */
    protected $website_id;
    /** @var array */
    protected $customer_group;

    public function __construct()
    {
        $pricing = new Pricing();
        $pricing->base_price = (float)$this->base_price;
        $pricing->final_price = (float)$this->final_price;
        $pricing->max_price = (float)$this->max_price;
        $pricing->min_price = (float)$this->min_price;
        $this->{"pricing_{$this->customer_group}"} = $pricing;

    }

    public function website()
    {
        return $this->website_id;
    }


}
