<?php


namespace Filoblu\Refilo\Model\Adapter;


use MongoDB\Driver\BulkWrite;

abstract class AbstractAdapter
{

    /**
     * @var BulkWrite
     */
    protected $_connection;

    abstract public function connect();

    /**
     * @param $key
     * @param $objects
     * @param $store
     * @return mixed
     */
    abstract public function push($key, $objects, $store);

    /**
     * @param $key
     * @param $objects
     * @param $store
     * @return mixed
     */
    abstract public function update($key, $objects, $store);

}
